View Issue Details

IDProjectCategoryView StatusLast Update
0032454LazarusPatchpublic2017-09-26 23:13
ReporterFTurtleAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.9 (SVN)Product Build55883 
Target Version1.8Fixed in Version1.9 (SVN) 
Summary0032454: High-DPI icons
DescriptionHigh-DPI icons.

Unused files which may be deleted:

menu_view_rectriction_browser
menu_project_saveas
TagsNo tags attached.
Fixed in Revision55932
LazTarget-
Widgetset
Attached Files
  • images.zip (32,239 bytes)
  • patch.diff (7,178 bytes)
    Index: ide/mainbase.pas
    ===================================================================
    --- ide/mainbase.pas	(revision 55883)
    +++ ide/mainbase.pas	(working copy)
    @@ -1134,7 +1134,7 @@
         CreateMenuItem(ParentMI,itmViewFPDocEditor,'itmViewFPDocEditor',lisFPDocEditor);
         CreateMenuItem(ParentMI,itmViewCodeBrowser,'itmViewCodeBrowser',lisMenuViewCodeBrowser, 'menu_view_code_browser');
         CreateMenuItem(ParentMI,itmSourceUnitDependencies,'itmSourceUnitDependencies',lisMenuViewUnitDependencies);
    -    CreateMenuItem(ParentMI,itmViewRestrictionBrowser,'itmViewRestrictionBrowser',lisMenuViewRestrictionBrowser, 'menu_view_rectriction_browser');
    +    CreateMenuItem(ParentMI,itmViewRestrictionBrowser,'itmViewRestrictionBrowser',lisMenuViewRestrictionBrowser, 'menu_view_restriction_browser');
         CreateMenuItem(ParentMI,itmViewComponents,'itmViewComponents',lisMenuViewComponents, 'menu_view_components');
         CreateMenuItem(ParentMI,itmJumpHistory,'itmJumpHistory',lisMenuViewJumpHistory);
         CreateMenuItem(ParentMI,itmMacroListView,'itmMacroListView',lisMenuMacroListView);
    @@ -1266,19 +1266,19 @@
       with MainIDEBar do begin
         CreateMenuSeparatorSection(mnuProject,itmProjectNewSection,'itmProjectNewSection');
         ParentMI:=itmProjectNewSection;
    -    CreateMenuItem(ParentMI,itmProjectNew,'itmProjectNew',lisMenuNewProject, 'item_project');
    +    CreateMenuItem(ParentMI,itmProjectNew,'itmProjectNew',lisMenuNewProject, 'menu_project_new');
         CreateMenuItem(ParentMI,itmProjectNewFromFile,'itmProjectNewFromFile',lisMenuNewProjectFromFile, 'menu_project_from_file');
     
         CreateMenuSeparatorSection(mnuProject,itmProjectOpenSection,'itmProjectOpenSection');
         ParentMI:=itmProjectOpenSection;
         CreateMenuItem(ParentMI,itmProjectOpen,'itmProjectOpen',lisMenuOpenProject,'menu_project_open');
    -    CreateMenuSubSection(ParentMI,itmProjectRecentOpen,'itmProjectRecentOpen',lisMenuOpenRecentProject);
    +    CreateMenuSubSection(ParentMI,itmProjectRecentOpen,'itmProjectRecentOpen',lisMenuOpenRecentProject,'menu_project_open_recent');
         CreateMenuItem(ParentMI,itmProjectClose,'itmProjectClose',lisMenuCloseProject, 'menu_project_close');
     
         CreateMenuSeparatorSection(mnuProject,itmProjectSaveSection,'itmProjectSaveSection');
         ParentMI:=itmProjectSaveSection;
         CreateMenuItem(ParentMI,itmProjectSave,'itmProjectSave',lisMenuSaveProject, 'menu_project_save');
    -    CreateMenuItem(ParentMI,itmProjectSaveAs,'itmProjectSaveAs',lisMenuSaveProjectAs, 'menu_project_saveas');
    +    CreateMenuItem(ParentMI,itmProjectSaveAs,'itmProjectSaveAs',lisMenuSaveProjectAs, 'menu_project_save_as');
         CreateMenuItem(ParentMI, itmProjectResaveFormsWithI18n, 'itmProjectResaveFo'
           +'rmsWithI18n', lisMenuResaveFormsWithI18n);
         CreateMenuItem(ParentMI,itmProjectPublish,'itmProjectPublish',lisMenuPublishProject);
    Index: images/copyright.txt
    ===================================================================
    --- images/copyright.txt	(revision 55883)
    +++ images/copyright.txt	(working copy)
    @@ -88,6 +88,9 @@
     item_form.png
     item_form_150.png
     item_form_200.png
    +item_project.png
    +item_project_150.png
    +item_project_200.png
     item_project_source.png
     item_project_source_150.png
     item_project_source_200.png
    @@ -181,6 +184,33 @@
     menu_pause.png
     menu_pause_150.png
     menu_pause_200.png
    +menu_project_close.png
    +menu_project_close_150.png
    +menu_project_close_200.png
    +menu_project_from_file.png
    +menu_project_from_file_150.png
    +menu_project_from_file_200.png
    +menu_project_inspector.png
    +menu_project_inspector_150.png
    +menu_project_inspector_200.png
    +menu_project_new.png
    +menu_project_new_150.png
    +menu_project_new_200.png
    +menu_project_open.png
    +menu_project_open_150.png
    +menu_project_open_200.png
    +menu_project_open_recent.png
    +menu_project_open_recent_150.png
    +menu_project_open_recent_200.png
    +menu_project_options.png
    +menu_project_options_150.png
    +menu_project_options_200.png
    +menu_project_save.png
    +menu_project_save_150.png
    +menu_project_save_200.png
    +menu_project_save_as.png
    +menu_project_save_as_150.png
    +menu_project_save_as_200.png
     menu_redo.png
     menu_redo_150.png
     menu_redo_200.png
    @@ -284,6 +314,12 @@
     menu_unindent.png
     menu_unindent_150.png
     menu_unindent_200.png
    +menu_view_code_browser.png
    +menu_view_code_browser_150.png
    +menu_view_code_browser_200.png
    +menu_view_code_explorer.png
    +menu_view_code_explorer_150.png
    +menu_view_code_explorer_200.png
     menu_view_components.png
     menu_view_components_150.png
     menu_view_components_200.png
    @@ -296,6 +332,9 @@
     menu_view_messages.png
     menu_view_messages_150.png
     menu_view_messages_200.png
    +menu_view_restriction_browser.png
    +menu_view_restriction_browser_150.png
    +menu_view_restriction_browser_200.png
     menu_view_search_results.png
     menu_view_search_results_150.png
     menu_view_search_results_200.png
    Index: images/laz_images_list.txt
    ===================================================================
    --- images/laz_images_list.txt	(revision 55883)
    +++ images/laz_images_list.txt	(working copy)
    @@ -217,6 +217,8 @@
     items/item_library.png
     items/item_package.png
     items/item_project.png
    +items/item_project_150.png
    +items/item_project_200.png
     items/item_project_source.png
     items/item_project_source_150.png
     items/item_project_source_200.png
    @@ -336,13 +338,33 @@
     menu/menu_pause_200.png
     menu/menu_project_add.png
     menu/menu_project_close.png
    +menu/menu_project_close_150.png
    +menu/menu_project_close_200.png
     menu/menu_project_from_file.png
    +menu/menu_project_from_file_150.png
    +menu/menu_project_from_file_200.png
     menu/menu_project_inspector.png
    +menu/menu_project_inspector_150.png
    +menu/menu_project_inspector_200.png
    +menu/menu_project_new.png
    +menu/menu_project_new_150.png
    +menu/menu_project_new_200.png
     menu/menu_project_open.png
    +menu/menu_project_open_150.png
    +menu/menu_project_open_200.png
    +menu/menu_project_open_recent.png
    +menu/menu_project_open_recent_150.png
    +menu/menu_project_open_recent_200.png
     menu/menu_project_options.png
    +menu/menu_project_options_150.png
    +menu/menu_project_options_200.png
     menu/menu_project_remove.png
     menu/menu_project_save.png
    -menu/menu_project_saveas.png
    +menu/menu_project_save_150.png
    +menu/menu_project_save_200.png
    +menu/menu_project_save_as.png
    +menu/menu_project_save_as_150.png
    +menu/menu_project_save_as_200.png
     menu/menu_quick_compile.png
     menu/menu_redo.png
     menu/menu_redo_150.png
    @@ -462,7 +484,11 @@
     menu/menu_unindent_200.png
     menu/menu_view_anchor_editor.png
     menu/menu_view_code_browser.png
    +menu/menu_view_code_browser_150.png
    +menu/menu_view_code_browser_200.png
     menu/menu_view_code_explorer.png
    +menu/menu_view_code_explorer_150.png
    +menu/menu_view_code_explorer_200.png
     menu/menu_view_components.png
     menu/menu_view_components_150.png
     menu/menu_view_components_200.png
    @@ -475,7 +501,9 @@
     menu/menu_view_messages.png
     menu/menu_view_messages_150.png
     menu/menu_view_messages_200.png
    -menu/menu_view_rectriction_browser.png
    +menu/menu_view_restriction_browser.png
    +menu/menu_view_restriction_browser_150.png
    +menu/menu_view_restriction_browser_200.png
     menu/menu_view_search_results.png
     menu/menu_view_search_results_150.png
     menu/menu_view_search_results_200.png
    
    patch.diff (7,178 bytes)
  • images2.zip (51,852 bytes)
  • menu_project_open.png (778 bytes)
    menu_project_open.png (778 bytes)
  • images3.zip (55,882 bytes)

Activities

FTurtle

2017-09-21 22:35

reporter  

images.zip (32,239 bytes)

FTurtle

2017-09-21 22:35

reporter  

patch.diff (7,178 bytes)
Index: ide/mainbase.pas
===================================================================
--- ide/mainbase.pas	(revision 55883)
+++ ide/mainbase.pas	(working copy)
@@ -1134,7 +1134,7 @@
     CreateMenuItem(ParentMI,itmViewFPDocEditor,'itmViewFPDocEditor',lisFPDocEditor);
     CreateMenuItem(ParentMI,itmViewCodeBrowser,'itmViewCodeBrowser',lisMenuViewCodeBrowser, 'menu_view_code_browser');
     CreateMenuItem(ParentMI,itmSourceUnitDependencies,'itmSourceUnitDependencies',lisMenuViewUnitDependencies);
-    CreateMenuItem(ParentMI,itmViewRestrictionBrowser,'itmViewRestrictionBrowser',lisMenuViewRestrictionBrowser, 'menu_view_rectriction_browser');
+    CreateMenuItem(ParentMI,itmViewRestrictionBrowser,'itmViewRestrictionBrowser',lisMenuViewRestrictionBrowser, 'menu_view_restriction_browser');
     CreateMenuItem(ParentMI,itmViewComponents,'itmViewComponents',lisMenuViewComponents, 'menu_view_components');
     CreateMenuItem(ParentMI,itmJumpHistory,'itmJumpHistory',lisMenuViewJumpHistory);
     CreateMenuItem(ParentMI,itmMacroListView,'itmMacroListView',lisMenuMacroListView);
@@ -1266,19 +1266,19 @@
   with MainIDEBar do begin
     CreateMenuSeparatorSection(mnuProject,itmProjectNewSection,'itmProjectNewSection');
     ParentMI:=itmProjectNewSection;
-    CreateMenuItem(ParentMI,itmProjectNew,'itmProjectNew',lisMenuNewProject, 'item_project');
+    CreateMenuItem(ParentMI,itmProjectNew,'itmProjectNew',lisMenuNewProject, 'menu_project_new');
     CreateMenuItem(ParentMI,itmProjectNewFromFile,'itmProjectNewFromFile',lisMenuNewProjectFromFile, 'menu_project_from_file');
 
     CreateMenuSeparatorSection(mnuProject,itmProjectOpenSection,'itmProjectOpenSection');
     ParentMI:=itmProjectOpenSection;
     CreateMenuItem(ParentMI,itmProjectOpen,'itmProjectOpen',lisMenuOpenProject,'menu_project_open');
-    CreateMenuSubSection(ParentMI,itmProjectRecentOpen,'itmProjectRecentOpen',lisMenuOpenRecentProject);
+    CreateMenuSubSection(ParentMI,itmProjectRecentOpen,'itmProjectRecentOpen',lisMenuOpenRecentProject,'menu_project_open_recent');
     CreateMenuItem(ParentMI,itmProjectClose,'itmProjectClose',lisMenuCloseProject, 'menu_project_close');
 
     CreateMenuSeparatorSection(mnuProject,itmProjectSaveSection,'itmProjectSaveSection');
     ParentMI:=itmProjectSaveSection;
     CreateMenuItem(ParentMI,itmProjectSave,'itmProjectSave',lisMenuSaveProject, 'menu_project_save');
-    CreateMenuItem(ParentMI,itmProjectSaveAs,'itmProjectSaveAs',lisMenuSaveProjectAs, 'menu_project_saveas');
+    CreateMenuItem(ParentMI,itmProjectSaveAs,'itmProjectSaveAs',lisMenuSaveProjectAs, 'menu_project_save_as');
     CreateMenuItem(ParentMI, itmProjectResaveFormsWithI18n, 'itmProjectResaveFo'
       +'rmsWithI18n', lisMenuResaveFormsWithI18n);
     CreateMenuItem(ParentMI,itmProjectPublish,'itmProjectPublish',lisMenuPublishProject);
Index: images/copyright.txt
===================================================================
--- images/copyright.txt	(revision 55883)
+++ images/copyright.txt	(working copy)
@@ -88,6 +88,9 @@
 item_form.png
 item_form_150.png
 item_form_200.png
+item_project.png
+item_project_150.png
+item_project_200.png
 item_project_source.png
 item_project_source_150.png
 item_project_source_200.png
@@ -181,6 +184,33 @@
 menu_pause.png
 menu_pause_150.png
 menu_pause_200.png
+menu_project_close.png
+menu_project_close_150.png
+menu_project_close_200.png
+menu_project_from_file.png
+menu_project_from_file_150.png
+menu_project_from_file_200.png
+menu_project_inspector.png
+menu_project_inspector_150.png
+menu_project_inspector_200.png
+menu_project_new.png
+menu_project_new_150.png
+menu_project_new_200.png
+menu_project_open.png
+menu_project_open_150.png
+menu_project_open_200.png
+menu_project_open_recent.png
+menu_project_open_recent_150.png
+menu_project_open_recent_200.png
+menu_project_options.png
+menu_project_options_150.png
+menu_project_options_200.png
+menu_project_save.png
+menu_project_save_150.png
+menu_project_save_200.png
+menu_project_save_as.png
+menu_project_save_as_150.png
+menu_project_save_as_200.png
 menu_redo.png
 menu_redo_150.png
 menu_redo_200.png
@@ -284,6 +314,12 @@
 menu_unindent.png
 menu_unindent_150.png
 menu_unindent_200.png
+menu_view_code_browser.png
+menu_view_code_browser_150.png
+menu_view_code_browser_200.png
+menu_view_code_explorer.png
+menu_view_code_explorer_150.png
+menu_view_code_explorer_200.png
 menu_view_components.png
 menu_view_components_150.png
 menu_view_components_200.png
@@ -296,6 +332,9 @@
 menu_view_messages.png
 menu_view_messages_150.png
 menu_view_messages_200.png
+menu_view_restriction_browser.png
+menu_view_restriction_browser_150.png
+menu_view_restriction_browser_200.png
 menu_view_search_results.png
 menu_view_search_results_150.png
 menu_view_search_results_200.png
Index: images/laz_images_list.txt
===================================================================
--- images/laz_images_list.txt	(revision 55883)
+++ images/laz_images_list.txt	(working copy)
@@ -217,6 +217,8 @@
 items/item_library.png
 items/item_package.png
 items/item_project.png
+items/item_project_150.png
+items/item_project_200.png
 items/item_project_source.png
 items/item_project_source_150.png
 items/item_project_source_200.png
@@ -336,13 +338,33 @@
 menu/menu_pause_200.png
 menu/menu_project_add.png
 menu/menu_project_close.png
+menu/menu_project_close_150.png
+menu/menu_project_close_200.png
 menu/menu_project_from_file.png
+menu/menu_project_from_file_150.png
+menu/menu_project_from_file_200.png
 menu/menu_project_inspector.png
+menu/menu_project_inspector_150.png
+menu/menu_project_inspector_200.png
+menu/menu_project_new.png
+menu/menu_project_new_150.png
+menu/menu_project_new_200.png
 menu/menu_project_open.png
+menu/menu_project_open_150.png
+menu/menu_project_open_200.png
+menu/menu_project_open_recent.png
+menu/menu_project_open_recent_150.png
+menu/menu_project_open_recent_200.png
 menu/menu_project_options.png
+menu/menu_project_options_150.png
+menu/menu_project_options_200.png
 menu/menu_project_remove.png
 menu/menu_project_save.png
-menu/menu_project_saveas.png
+menu/menu_project_save_150.png
+menu/menu_project_save_200.png
+menu/menu_project_save_as.png
+menu/menu_project_save_as_150.png
+menu/menu_project_save_as_200.png
 menu/menu_quick_compile.png
 menu/menu_redo.png
 menu/menu_redo_150.png
@@ -462,7 +484,11 @@
 menu/menu_unindent_200.png
 menu/menu_view_anchor_editor.png
 menu/menu_view_code_browser.png
+menu/menu_view_code_browser_150.png
+menu/menu_view_code_browser_200.png
 menu/menu_view_code_explorer.png
+menu/menu_view_code_explorer_150.png
+menu/menu_view_code_explorer_200.png
 menu/menu_view_components.png
 menu/menu_view_components_150.png
 menu/menu_view_components_200.png
@@ -475,7 +501,9 @@
 menu/menu_view_messages.png
 menu/menu_view_messages_150.png
 menu/menu_view_messages_200.png
-menu/menu_view_rectriction_browser.png
+menu/menu_view_restriction_browser.png
+menu/menu_view_restriction_browser_150.png
+menu/menu_view_restriction_browser_200.png
 menu/menu_view_search_results.png
 menu/menu_view_search_results_150.png
 menu/menu_view_search_results_200.png
patch.diff (7,178 bytes)

FTurtle

2017-09-23 17:12

reporter   ~0102997

I making other variant.
I will attach it when it is ready.

FTurtle

2017-09-24 10:26

reporter  

images2.zip (51,852 bytes)

FTurtle

2017-09-24 10:27

reporter   ~0103008

I attached new version of images: images2.zip
May be choosen any version.

wp

2017-09-24 14:09

developer   ~0103013

Hmmm... I don't associate the menu_project_open icon with the action to "open" something. Wouldn't it be clearer if you'd combine the "file open" (opening folder) with the project icon instead of doubling the project icon, similar to menu_project_save which combines the floppy and project icons?

Michl

2017-09-25 15:46

developer   ~0103037

Last edited: 2017-09-25 16:28

View 2 revisions

@FTurtle: I like the new icons. Thank you for that!

But I see the same problem as wp. Is it possible that you make a new menu_project_open.png and menu_project_open_recent.png (and its scaled silblings) with a more intuitive "open" optic? Maybe something like my added menu_project_open.png - I'm sure you can do it better. I'm not a graphic artist as you ;)

Second question: Is it possible, that you can make a new item_project_source.png with the same round symbol?

Thank you in advance!

Michl

2017-09-25 15:46

developer  

menu_project_open.png (778 bytes)
menu_project_open.png (778 bytes)

FTurtle

2017-09-25 17:48

reporter   ~0103042

Yes, I'm going to do it all.

Vojtech Cihak

2017-09-25 23:03

reporter   ~0103053

I have one note: new icon for TStaticText looks like TEdit. In past it looked like
(or it was same as) TLabel. TStaticText has by default transparent background so the icon should be corresponding.

wp

2017-09-26 00:54

developer   ~0103054

Last edited: 2017-09-26 09:36

View 2 revisions

> I have one note: new icon for TStaticText looks like TEdit. In past
> it looked like (or it was same as) TLabel. TStaticText has by default
> transparent background so the icon should be corresponding.

Ah, right. I'll fix it.

[EDIT] Done in r55926

FTurtle

2017-09-26 21:49

reporter  

images3.zip (55,882 bytes)

FTurtle

2017-09-26 21:50

reporter   ~0103077

Attached corrected version (full set): images3.zip

Michl

2017-09-26 22:26

developer   ~0103078

Applied in trunk revision 55932. Thank you very much!

FTurtle

2017-09-26 23:13

reporter   ~0103079

Thank you.

Issue History

Date Modified Username Field Change
2017-09-21 22:35 FTurtle New Issue
2017-09-21 22:35 FTurtle File Added: images.zip
2017-09-21 22:35 FTurtle File Added: patch.diff
2017-09-22 13:26 Michl Assigned To => Michl
2017-09-22 13:26 Michl Status new => assigned
2017-09-23 17:12 FTurtle Note Added: 0102997
2017-09-24 10:26 FTurtle File Added: images2.zip
2017-09-24 10:27 FTurtle Note Added: 0103008
2017-09-24 14:09 wp Note Added: 0103013
2017-09-25 15:46 Michl Note Added: 0103037
2017-09-25 15:46 Michl File Added: menu_project_open.png
2017-09-25 16:28 Michl Note Edited: 0103037 View Revisions
2017-09-25 17:48 FTurtle Note Added: 0103042
2017-09-25 23:03 Vojtech Cihak Note Added: 0103053
2017-09-26 00:54 wp Note Added: 0103054
2017-09-26 09:36 wp Note Edited: 0103054 View Revisions
2017-09-26 21:49 FTurtle File Added: images3.zip
2017-09-26 21:50 FTurtle Note Added: 0103077
2017-09-26 22:26 Michl Fixed in Revision => 55932
2017-09-26 22:26 Michl LazTarget => -
2017-09-26 22:26 Michl Note Added: 0103078
2017-09-26 22:26 Michl Status assigned => resolved
2017-09-26 22:26 Michl Fixed in Version => 1.9 (SVN)
2017-09-26 22:26 Michl Resolution open => fixed
2017-09-26 22:26 Michl Target Version => 1.8
2017-09-26 23:13 FTurtle Note Added: 0103079
2017-09-26 23:13 FTurtle Status resolved => closed